<?php

namespace App\Generated\V1_1\DTOs;

use App\Generated\V1_1\Enums\Gender;
use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\DTOs\DTO;
use Kamicloud\StubApi\Utils\Constants;

class ProfileUserDTO extends DTO
{
    use ValueHelper;

    protected $uid;
    protected $sex;
    protected $sxo;
    protected $feed_sex;
    protected $headimgurl;
    protected $nickname;
    protected $gold_flower;
    protected $red_flower;
    protected $ck_count;
    protected $task;
    protected $height;
    protected $age;
    protected $home;
    protected $address;
    protected $partner_id;
    protected $expect;
    protected $introduce;
    protected $phone;
    protected $school;
    protected $subject;
    protected $limit;
    protected $last_sign;
    protected $updated_at;
    protected $created_at;
    protected $sign_con;
    protected $hiding;
    protected $star;
    protected $tag_1;
    protected $tag_2;
    protected $tag_3;
    protected $tag_4;
    protected $subscribe_at;
    protected $fpdx_like;
    protected $kf_account;
    protected $rollback;
    protected $qq;
    protected $weixin;
    protected $education;
    protected $login_at;
    protected $voice;
    protected $photo_src;
    protected $photo_1;
    protected $photo_2;
    protected $photo_3;
    protected $photo_4;
    protected $full_url_photo_src;
    protected $full_url_photo;
    protected $full_url_photo1;
    protected $full_url_photo2;
    protected $full_url_photo3;
    protected $full_url_photo4;
    protected $pair_min_age;
    protected $pair_max_age;
    protected $pair_province;
    protected $pair_all;
    protected $last_life;
    protected $why;
    protected $pair_voice;
    protected $jigsaw_amount;
    protected $wxkf;
    protected $sign;
    protected $is_auto_expand;
    protected $feed_dis;
    protected $only_last;
    protected $lng;
    protected $lat;
    protected $location;
    protected $identity_auth;
    protected $wx_auth;
    protected $work_state;
    protected $claim_tag;
    protected $last_likeme_lock_at;
    protected $app_like_unlock_count;
    protected $be_vip_at;
    protected $supvip_endat;
    protected $logoff_at;
    protected $task_photo;
    protected $task_question;
    protected $task_sing;
    protected $task_question_data;
    protected $login_app_platform;
    protected $feed_cnt;
    protected $feed_like;
    protected $bgcolor;
    protected $im_account;
    protected $im_sig;
    protected $bind_fpdxfwh;
    protected $lock_card;
    protected $app_sign_at;
    protected $course;
    protected $avatar;
    protected $birthday;
    protected $supvip;
    protected $black;
    protected $banner;
    protected $tags;

    /**
     * 用户id
     * @return int
     */
    public function getUid()
    {
        return $this->uid;
    }

    /**
     * 性别
     * @return mixed|null
     */
    public function getSex()
    {
        return $this->sex;
    }

    /**
     * 性取向
     * @return mixed|null
     */
    public function getSxo()
    {
        return $this->sxo;
    }

    /**
     * 首页筛选性别
     * @return mixed|null
     */
    public function getFeed_sex()
    {
        return $this->feed_sex;
    }

    /**
     * 头像
     * @return string|null
     */
    public function getHeadimgurl()
    {
        return $this->headimgurl;
    }

    /**
     * 昵称
     * @return string|null
     */
    public function getNickname()
    {
        return $this->nickname;
    }

    /**
     * 金花
     * @return float|null
     */
    public function getGold_flower()
    {
        return $this->gold_flower;
    }

    /**
     * 红花
     * @return float|null
     */
    public function getRed_flower()
    {
        return $this->red_flower;
    }

    /**
     * --
     * @return int|null
     */
    public function getCk_count()
    {
        return $this->ck_count;
    }

    /**
     * 任务完成情况
     * @return string
     */
    public function getTask()
    {
        return $this->task;
    }

    /**
     * 身高
     * @return int|null
     */
    public function getHeight()
    {
        return $this->height;
    }

    /**
     * 出生年-月-日
     * @return string|null
     */
    public function getAge()
    {
        return $this->age;
    }

    /**
     * 家乡
     * @return string|null
     */
    public function getHome()
    {
        return $this->home;
    }

    /**
     * 地址
     * @return string|null
     */
    public function getAddress()
    {
        return $this->address;
    }

    /**
     * 卡片id
     * @return int|null
     */
    public function getPartner_id()
    {
        return $this->partner_id;
    }

    /**
     * 期望
     * @return string|null
     */
    public function getExpect()
    {
        return $this->expect;
    }

    /**
     * 个人介绍
     * @return string|null
     */
    public function getIntroduce()
    {
        return $this->introduce;
    }

    /**
     * 手机号
     * @return string|null
     */
    public function getPhone()
    {
        return $this->phone;
    }

    /**
     * 学校
     * @return string|null
     */
    public function getSchool()
    {
        return $this->school;
    }

    /**
     * todo 专业
     * @return string|null
     */
    public function getSubject()
    {
        return $this->subject;
    }

    /**
     * todo
     * @return string|null
     */
    public function getLimit()
    {
        return $this->limit;
    }

    /**
     * todo
     * @return int|null
     */
    public function getLast_sign()
    {
        return $this->last_sign;
    }

    /**
     * todo
     * @return int|null
     */
    public function getUpdated_at()
    {
        return $this->updated_at;
    }

    /**
     * 创建时间
     * @return string|null
     */
    public function getCreated_at()
    {
        return $this->created_at;
    }

    /**
     * 签到硬币
     * @return int|null
     */
    public function getSign_con()
    {
        return $this->sign_con;
    }

    /**
     * 屏蔽
     * @return int|null
     */
    public function getHiding()
    {
        return $this->hiding;
    }

    /**
     * 星座
     * @return string|null
     */
    public function getStar()
    {
        return $this->star;
    }

    /**
     * 标签1
     * @return string|null
     */
    public function getTag_1()
    {
        return $this->tag_1;
    }

    /**
     * 标签2
     * @return string|null
     */
    public function getTag_2()
    {
        return $this->tag_2;
    }

    /**
     * 标签3
     * @return string|null
     */
    public function getTag_3()
    {
        return $this->tag_3;
    }

    /**
     * 标签4
     * @return string|null
     */
    public function getTag_4()
    {
        return $this->tag_4;
    }

    /**
     * 关注公众号领取小花的时间
     * @return int|null
     */
    public function getSubscribe_at()
    {
        return $this->subscribe_at;
    }

    /**
     * todo
     * @return string|null
     */
    public function getFpdx_like()
    {
        return $this->fpdx_like;
    }

    /**
     * todo
     * @return string|null
     */
    public function getKf_account()
    {
        return $this->kf_account;
    }

    /**
     * todo
     * @return int|null
     */
    public function getRollback()
    {
        return $this->rollback;
    }

    /**
     * qq
     * @return string|null
     */
    public function getQq()
    {
        return $this->qq;
    }

    /**
     * 微信
     * @return string|null
     */
    public function getWeixin()
    {
        return $this->weixin;
    }

    /**
     * todo
     * @return string|null
     */
    public function getEducation()
    {
        return $this->education;
    }

    /**
     * 登录时间
     * @return int|null
     */
    public function getLogin_at()
    {
        return $this->login_at;
    }

    /**
     * 语音
     * @return string|null
     */
    public function getVoice()
    {
        return $this->voice;
    }

    /**
     * 照片
     * @return string|null
     */
    public function getPhoto_src()
    {
        return $this->photo_src;
    }

    /**
     * 照片
     * @return string|null
     */
    public function getPhoto_1()
    {
        return $this->photo_1;
    }

    /**
     * 照片
     * @return string|null
     */
    public function getPhoto_2()
    {
        return $this->photo_2;
    }

    /**
     * 照片
     * @return string|null
     */
    public function getPhoto_3()
    {
        return $this->photo_3;
    }

    /**
     * 照片
     * @return string|null
     */
    public function getPhoto_4()
    {
        return $this->photo_4;
    }

    /**
     * 照片
     * @return string|null
     */
    public function getFull_url_photo_src()
    {
        return $this->full_url_photo_src;
    }

    /**
     * 照片
     * @return string|null
     */
    public function getFull_url_photo()
    {
        return $this->full_url_photo;
    }

    /**
     * 照片
     * @return string|null
     */
    public function getFull_url_photo1()
    {
        return $this->full_url_photo1;
    }

    /**
     * 照片
     * @return string|null
     */
    public function getFull_url_photo2()
    {
        return $this->full_url_photo2;
    }

    /**
     * 照片
     * @return string|null
     */
    public function getFull_url_photo3()
    {
        return $this->full_url_photo3;
    }

    /**
     * 照片
     * @return string|null
     */
    public function getFull_url_photo4()
    {
        return $this->full_url_photo4;
    }

    /**
     * todo
     * @return int|null
     */
    public function getPair_min_age()
    {
        return $this->pair_min_age;
    }

    /**
     * todo
     * @return int|null
     */
    public function getPair_max_age()
    {
        return $this->pair_max_age;
    }

    /**
     * todo
     * @return int|null
     */
    public function getPair_province()
    {
        return $this->pair_province;
    }

    /**
     * todo
     * @return int|null
     */
    public function getPair_all()
    {
        return $this->pair_all;
    }

    /**
     * 最近生活状态
     * @return string|null
     */
    public function getLast_life()
    {
        return $this->last_life;
    }

    /**
     * todo
     * @return string|null
     */
    public function getWhy()
    {
        return $this->why;
    }

    /**
     * todo
     * @return string|null
     */
    public function getPair_voice()
    {
        return $this->pair_voice;
    }

    /**
     * --
     * @return int|null
     */
    public function getJigsaw_amount()
    {
        return $this->jigsaw_amount;
    }

    /**
     * --
     * @return string|null
     */
    public function getWxkf()
    {
        return $this->wxkf;
    }

    /**
     * --
     * @return string|null
     */
    public function getSign()
    {
        return $this->sign;
    }

    /**
     * todo
     * @return int|null
     */
    public function getIs_auto_expand()
    {
        return $this->is_auto_expand;
    }

    /**
     * todo
     * @return int|null
     */
    public function getFeed_dis()
    {
        return $this->feed_dis;
    }

    /**
     * todo
     * @return int|null
     */
    public function getOnly_last()
    {
        return $this->only_last;
    }

    /**
     * 经度
     * @return float|null
     */
    public function getLng()
    {
        return $this->lng;
    }

    /**
     * 纬度
     * @return float|null
     */
    public function getLat()
    {
        return $this->lat;
    }

    /**
     * 定位
     * @return string|null
     */
    public function getLocation()
    {
        return $this->location;
    }

    /**
     * 照片认证
     * @return string|null
     */
    public function getIdentity_auth()
    {
        return $this->identity_auth;
    }

    /**
     * 微信认证
     * @return int|null
     */
    public function getWx_auth()
    {
        return $this->wx_auth;
    }

    /**
     * --
     * @return string|null
     */
    public function getWork_state()
    {
        return $this->work_state;
    }

    /**
     * --
     * @return string|null
     */
    public function getClaim_tag()
    {
        return $this->claim_tag;
    }

    /**
     * --
     * @return int|null
     */
    public function getLast_likeme_lock_at()
    {
        return $this->last_likeme_lock_at;
    }

    /**
     * --
     * @return int|null
     */
    public function getApp_like_unlock_count()
    {
        return $this->app_like_unlock_count;
    }

    /**
     * 成为普通会员时间
     * @return int|null
     */
    public function getBe_vip_at()
    {
        return $this->be_vip_at;
    }

    /**
     * 超级会员到期时间
     * @return int|null
     */
    public function getSupvip_endat()
    {
        return $this->supvip_endat;
    }

    /**
     * 注销时间
     * @return int|null
     */
    public function getLogoff_at()
    {
        return $this->logoff_at;
    }

    /**
     * --
     * @return boolean|null
     */
    public function getTask_photo()
    {
        return $this->task_photo;
    }

    /**
     * --
     * @return boolean|null
     */
    public function isTask_photo()
    {
        return $this->task_photo;
    }

    /**
     * --
     * @return boolean|null
     */
    public function getTask_question()
    {
        return $this->task_question;
    }

    /**
     * --
     * @return boolean|null
     */
    public function isTask_question()
    {
        return $this->task_question;
    }

    /**
     * --
     * @return boolean|null
     */
    public function getTask_sing()
    {
        return $this->task_sing;
    }

    /**
     * --
     * @return boolean|null
     */
    public function isTask_sing()
    {
        return $this->task_sing;
    }

    /**
     * --
     * @return boolean|null
     */
    public function getTask_question_data()
    {
        return $this->task_question_data;
    }

    /**
     * --
     * @return boolean|null
     */
    public function isTask_question_data()
    {
        return $this->task_question_data;
    }

    /**
     * 登录平台
     * @return string|null
     */
    public function getLogin_app_platform()
    {
        return $this->login_app_platform;
    }

    /**
     * 滑卡片次数
     * @return int
     */
    public function getFeed_cnt()
    {
        return $this->feed_cnt;
    }

    /**
     * 滑卡片喜欢次数
     * @return int
     */
    public function getFeed_like()
    {
        return $this->feed_like;
    }

    /**
     * 背景颜色
     * @return int|null
     */
    public function getBgcolor()
    {
        return $this->bgcolor;
    }

    /**
     * im-account
     * @return string|null
     */
    public function getIm_account()
    {
        return $this->im_account;
    }

    /**
     * im-sig
     * @return string|null
     */
    public function getIm_sig()
    {
        return $this->im_sig;
    }

    /**
     * 绑定分配对象服务号
     * @return int|null
     */
    public function getBind_fpdxfwh()
    {
        return $this->bind_fpdxfwh;
    }

    /**
     * --
     * @return int|null
     */
    public function getLock_card()
    {
        return $this->lock_card;
    }

    /**
     * --
     * @return int|null
     */
    public function getApp_sign_at()
    {
        return $this->app_sign_at;
    }

    /**
     * --
     * @return int|null
     */
    public function getCourse()
    {
        return $this->course;
    }

    /**
     * --
     * @return string|null
     */
    public function getAvatar()
    {
        return $this->avatar;
    }

    /**
     * --
     * @return string|null
     */
    public function getBirthday()
    {
        return $this->birthday;
    }

    /**
     * --
     * @return null|null
     */
    public function getSupvip()
    {
        return $this->supvip;
    }

    /**
     * --
     * @return null|null
     */
    public function getBlack()
    {
        return $this->black;
    }

    /**
     * --
     * @return null|null
     */
    public function getBanner()
    {
        return $this->banner;
    }

    /**
     * --
     * @return null|null
     */
    public function getTags()
    {
        return $this->tags;
    }

    public function setUid($uid)
    {
        $this->uid = $uid;
    }

    public function setSex($sex)
    {
        $this->sex = $sex;
    }

    public function setSxo($sxo)
    {
        $this->sxo = $sxo;
    }

    public function setFeed_sex($feed_sex)
    {
        $this->feed_sex = $feed_sex;
    }

    public function setHeadimgurl($headimgurl)
    {
        $this->headimgurl = $headimgurl;
    }

    public function setNickname($nickname)
    {
        $this->nickname = $nickname;
    }

    public function setGold_flower($gold_flower)
    {
        $this->gold_flower = $gold_flower;
    }

    public function setRed_flower($red_flower)
    {
        $this->red_flower = $red_flower;
    }

    public function setCk_count($ck_count)
    {
        $this->ck_count = $ck_count;
    }

    public function setTask($task)
    {
        $this->task = $task;
    }

    public function setHeight($height)
    {
        $this->height = $height;
    }

    public function setAge($age)
    {
        $this->age = $age;
    }

    public function setHome($home)
    {
        $this->home = $home;
    }

    public function setAddress($address)
    {
        $this->address = $address;
    }

    public function setPartner_id($partner_id)
    {
        $this->partner_id = $partner_id;
    }

    public function setExpect($expect)
    {
        $this->expect = $expect;
    }

    public function setIntroduce($introduce)
    {
        $this->introduce = $introduce;
    }

    public function setPhone($phone)
    {
        $this->phone = $phone;
    }

    public function setSchool($school)
    {
        $this->school = $school;
    }

    public function setSubject($subject)
    {
        $this->subject = $subject;
    }

    public function setLimit($limit)
    {
        $this->limit = $limit;
    }

    public function setLast_sign($last_sign)
    {
        $this->last_sign = $last_sign;
    }

    public function setUpdated_at($updated_at)
    {
        $this->updated_at = $updated_at;
    }

    public function setCreated_at($created_at)
    {
        $this->created_at = $created_at;
    }

    public function setSign_con($sign_con)
    {
        $this->sign_con = $sign_con;
    }

    public function setHiding($hiding)
    {
        $this->hiding = $hiding;
    }

    public function setStar($star)
    {
        $this->star = $star;
    }

    public function setTag_1($tag_1)
    {
        $this->tag_1 = $tag_1;
    }

    public function setTag_2($tag_2)
    {
        $this->tag_2 = $tag_2;
    }

    public function setTag_3($tag_3)
    {
        $this->tag_3 = $tag_3;
    }

    public function setTag_4($tag_4)
    {
        $this->tag_4 = $tag_4;
    }

    public function setSubscribe_at($subscribe_at)
    {
        $this->subscribe_at = $subscribe_at;
    }

    public function setFpdx_like($fpdx_like)
    {
        $this->fpdx_like = $fpdx_like;
    }

    public function setKf_account($kf_account)
    {
        $this->kf_account = $kf_account;
    }

    public function setRollback($rollback)
    {
        $this->rollback = $rollback;
    }

    public function setQq($qq)
    {
        $this->qq = $qq;
    }

    public function setWeixin($weixin)
    {
        $this->weixin = $weixin;
    }

    public function setEducation($education)
    {
        $this->education = $education;
    }

    public function setLogin_at($login_at)
    {
        $this->login_at = $login_at;
    }

    public function setVoice($voice)
    {
        $this->voice = $voice;
    }

    public function setPhoto_src($photo_src)
    {
        $this->photo_src = $photo_src;
    }

    public function setPhoto_1($photo_1)
    {
        $this->photo_1 = $photo_1;
    }

    public function setPhoto_2($photo_2)
    {
        $this->photo_2 = $photo_2;
    }

    public function setPhoto_3($photo_3)
    {
        $this->photo_3 = $photo_3;
    }

    public function setPhoto_4($photo_4)
    {
        $this->photo_4 = $photo_4;
    }

    public function setFull_url_photo_src($full_url_photo_src)
    {
        $this->full_url_photo_src = $full_url_photo_src;
    }

    public function setFull_url_photo($full_url_photo)
    {
        $this->full_url_photo = $full_url_photo;
    }

    public function setFull_url_photo1($full_url_photo1)
    {
        $this->full_url_photo1 = $full_url_photo1;
    }

    public function setFull_url_photo2($full_url_photo2)
    {
        $this->full_url_photo2 = $full_url_photo2;
    }

    public function setFull_url_photo3($full_url_photo3)
    {
        $this->full_url_photo3 = $full_url_photo3;
    }

    public function setFull_url_photo4($full_url_photo4)
    {
        $this->full_url_photo4 = $full_url_photo4;
    }

    public function setPair_min_age($pair_min_age)
    {
        $this->pair_min_age = $pair_min_age;
    }

    public function setPair_max_age($pair_max_age)
    {
        $this->pair_max_age = $pair_max_age;
    }

    public function setPair_province($pair_province)
    {
        $this->pair_province = $pair_province;
    }

    public function setPair_all($pair_all)
    {
        $this->pair_all = $pair_all;
    }

    public function setLast_life($last_life)
    {
        $this->last_life = $last_life;
    }

    public function setWhy($why)
    {
        $this->why = $why;
    }

    public function setPair_voice($pair_voice)
    {
        $this->pair_voice = $pair_voice;
    }

    public function setJigsaw_amount($jigsaw_amount)
    {
        $this->jigsaw_amount = $jigsaw_amount;
    }

    public function setWxkf($wxkf)
    {
        $this->wxkf = $wxkf;
    }

    public function setSign($sign)
    {
        $this->sign = $sign;
    }

    public function setIs_auto_expand($is_auto_expand)
    {
        $this->is_auto_expand = $is_auto_expand;
    }

    public function setFeed_dis($feed_dis)
    {
        $this->feed_dis = $feed_dis;
    }

    public function setOnly_last($only_last)
    {
        $this->only_last = $only_last;
    }

    public function setLng($lng)
    {
        $this->lng = $lng;
    }

    public function setLat($lat)
    {
        $this->lat = $lat;
    }

    public function setLocation($location)
    {
        $this->location = $location;
    }

    public function setIdentity_auth($identity_auth)
    {
        $this->identity_auth = $identity_auth;
    }

    public function setWx_auth($wx_auth)
    {
        $this->wx_auth = $wx_auth;
    }

    public function setWork_state($work_state)
    {
        $this->work_state = $work_state;
    }

    public function setClaim_tag($claim_tag)
    {
        $this->claim_tag = $claim_tag;
    }

    public function setLast_likeme_lock_at($last_likeme_lock_at)
    {
        $this->last_likeme_lock_at = $last_likeme_lock_at;
    }

    public function setApp_like_unlock_count($app_like_unlock_count)
    {
        $this->app_like_unlock_count = $app_like_unlock_count;
    }

    public function setBe_vip_at($be_vip_at)
    {
        $this->be_vip_at = $be_vip_at;
    }

    public function setSupvip_endat($supvip_endat)
    {
        $this->supvip_endat = $supvip_endat;
    }

    public function setLogoff_at($logoff_at)
    {
        $this->logoff_at = $logoff_at;
    }

    public function setTask_photo($task_photo)
    {
        $this->task_photo = $task_photo;
    }

    public function setTask_question($task_question)
    {
        $this->task_question = $task_question;
    }

    public function setTask_sing($task_sing)
    {
        $this->task_sing = $task_sing;
    }

    public function setTask_question_data($task_question_data)
    {
        $this->task_question_data = $task_question_data;
    }

    public function setLogin_app_platform($login_app_platform)
    {
        $this->login_app_platform = $login_app_platform;
    }

    public function setFeed_cnt($feed_cnt)
    {
        $this->feed_cnt = $feed_cnt;
    }

    public function setFeed_like($feed_like)
    {
        $this->feed_like = $feed_like;
    }

    public function setBgcolor($bgcolor)
    {
        $this->bgcolor = $bgcolor;
    }

    public function setIm_account($im_account)
    {
        $this->im_account = $im_account;
    }

    public function setIm_sig($im_sig)
    {
        $this->im_sig = $im_sig;
    }

    public function setBind_fpdxfwh($bind_fpdxfwh)
    {
        $this->bind_fpdxfwh = $bind_fpdxfwh;
    }

    public function setLock_card($lock_card)
    {
        $this->lock_card = $lock_card;
    }

    public function setApp_sign_at($app_sign_at)
    {
        $this->app_sign_at = $app_sign_at;
    }

    public function setCourse($course)
    {
        $this->course = $course;
    }

    public function setAvatar($avatar)
    {
        $this->avatar = $avatar;
    }

    public function setBirthday($birthday)
    {
        $this->birthday = $birthday;
    }

    public function setSupvip($supvip)
    {
        $this->supvip = $supvip;
    }

    public function setBlack($black)
    {
        $this->black = $black;
    }

    public function setBanner($banner)
    {
        $this->banner = $banner;
    }

    public function setTags($tags)
    {
        $this->tags = $tags;
    }

    public function getAttributeMap()
    {
        return [
            ['uid', 'uid', 'bail|integer', Constants::INTEGER, null],
            ['sex', 'sex', Gender::class, Constants::ENUM | Constants::OPTIONAL, null],
            ['sxo', 'sxo', Gender::class, Constants::ENUM | Constants::OPTIONAL, null],
            ['feed_sex', 'feed_sex', Gender::class, Constants::ENUM | Constants::OPTIONAL, null],
            ['headimgurl', 'headimgurl', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['nickname', 'nickname', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['gold_flower', 'gold_flower', 'bail|nullable|numeric', Constants::FLOAT | Constants::OPTIONAL, 'numeric'],
            ['red_flower', 'red_flower', 'bail|nullable|numeric', Constants::FLOAT | Constants::OPTIONAL, 'numeric'],
            ['ck_count', 'ck_count', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
            ['task', 'task', 'bail|string', Constants::STRING, null],
            ['height', 'height', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
            ['age', 'age', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['home', 'home', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['address', 'address', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['partner_id', 'partner_id', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
            ['expect', 'expect', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['introduce', 'introduce', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['phone', 'phone', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['school', 'school', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['subject', 'subject', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['limit', 'limit', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['last_sign', 'last_sign', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
            ['updated_at', 'updated_at', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
            ['created_at', 'created_at', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['sign_con', 'sign_con', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
            ['hiding', 'hiding', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
            ['star', 'star', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['tag_1', 'tag_1', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['tag_2', 'tag_2', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['tag_3', 'tag_3', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['tag_4', 'tag_4', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['subscribe_at', 'subscribe_at', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
            ['fpdx_like', 'fpdx_like', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['kf_account', 'kf_account', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['rollback', 'rollback', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
            ['qq', 'qq', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['weixin', 'weixin', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['education', 'education', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['login_at', 'login_at', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
            ['voice', 'voice', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['photo_src', 'photo_src', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['photo_1', 'photo_1', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['photo_2', 'photo_2', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['photo_3', 'photo_3', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['photo_4', 'photo_4', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['full_url_photo_src', 'full_url_photo_src', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['full_url_photo', 'full_url_photo', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['full_url_photo1', 'full_url_photo1', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['full_url_photo2', 'full_url_photo2', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['full_url_photo3', 'full_url_photo3', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['full_url_photo4', 'full_url_photo4', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['pair_min_age', 'pair_min_age', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
            ['pair_max_age', 'pair_max_age', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
            ['pair_province', 'pair_province', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
            ['pair_all', 'pair_all', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
            ['last_life', 'last_life', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['why', 'why', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['pair_voice', 'pair_voice', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['jigsaw_amount', 'jigsaw_amount', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
            ['wxkf', 'wxkf', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['sign', 'sign', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['is_auto_expand', 'is_auto_expand', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
            ['feed_dis', 'feed_dis', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
            ['only_last', 'only_last', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
            ['lng', 'lng', 'bail|nullable|numeric', Constants::FLOAT | Constants::OPTIONAL, 'numeric'],
            ['lat', 'lat', 'bail|nullable|numeric', Constants::FLOAT | Constants::OPTIONAL, 'numeric'],
            ['location', 'location', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['identity_auth', 'identity_auth', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['wx_auth', 'wx_auth', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
            ['work_state', 'work_state', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['claim_tag', 'claim_tag', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['last_likeme_lock_at', 'last_likeme_lock_at', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
            ['app_like_unlock_count', 'app_like_unlock_count', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
            ['be_vip_at', 'be_vip_at', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
            ['supvip_endat', 'supvip_endat', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
            ['logoff_at', 'logoff_at', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
            ['task_photo', 'task_photo', 'bail|nullable|boolean', Constants::BOOLEAN | Constants::OPTIONAL, null],
            ['task_question', 'task_question', 'bail|nullable|boolean', Constants::BOOLEAN | Constants::OPTIONAL, null],
            ['task_sing', 'task_sing', 'bail|nullable|boolean', Constants::BOOLEAN | Constants::OPTIONAL, null],
            ['task_question_data', 'task_question_data', 'bail|nullable|boolean', Constants::BOOLEAN | Constants::OPTIONAL, null],
            ['login_app_platform', 'login_app_platform', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['feed_cnt', 'feed_cnt', 'bail|integer', Constants::INTEGER, null],
            ['feed_like', 'feed_like', 'bail|integer', Constants::INTEGER, null],
            ['bgcolor', 'bgcolor', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
            ['im_account', 'im_account', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['im_sig', 'im_sig', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['bind_fpdxfwh', 'bind_fpdxfwh', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
            ['lock_card', 'lock_card', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
            ['app_sign_at', 'app_sign_at', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
            ['course', 'course', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
            ['avatar', 'avatar', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['birthday', 'birthday', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['supvip', 'supvip', 'bail|nullable', null | Constants::OPTIONAL, null],
            ['black', 'black', 'bail|nullable', null | Constants::OPTIONAL, null],
            ['banner', 'banner', 'bail|nullable', null | Constants::OPTIONAL, null],
            ['tags', 'tags', 'bail|nullable', null | Constants::OPTIONAL, null],
        ];
    }

}
